Bug 558632 - Failed to submit batchbuffer: No space left on device
Summary: Failed to submit batchbuffer: No space left on device
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 557051 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-25 20:46 UTC by smurffit
Modified: 2018-04-11 13:40 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 23:49:22 UTC
Type: ---


Attachments (Terms of Use)
Xorg.log with the error (112.59 KB, text/plain)
2010-01-25 20:46 UTC, smurffit
no flags Details

Description smurffit 2010-01-25 20:46:24 UTC
Created attachment 386700 [details]
Xorg.log with the error

Description of problem: Sometimes (most when i start Counter-Ctrike or click on very large images in Firefox) the whole X-server restarts and GDM comes up.

"Fatal server error:
Failed to submit batchbuffer: No space left on device"


Version-Release number of selected component (if applicable):
Fedora 12 x64 with testing-updates.

Linux sarah.stockholm 2.6.31.12-174.2.3.fc12.x86_64 #1 SMP Mon Jan 18 19:52:07 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

Name       : xorg-x11-drv-intel
Arch       : x86_64
Version    : 2.9.1

Name       : mesa-dri-drivers
Arch       : i686
Version    : 7.7
Release    : 2.fc12

Name       : mesa-dri-drivers
Arch       : x86_64
Version    : 7.7


How reproducible:
Open this image in FF and click few times on it: http://img226.imagevenue.com/loc6/th_66947_86552_122_6lo.jpg

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Xorg crashes and restarts, GDM appears.

Expected results:
Xorg doesn't crash :)

Additional info:
Lenovo T61 Notebook with intel GMA965 (X3100) Graphiccard.

00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)


Thank you!

Comment 1 smurffit 2010-01-25 20:48:18 UTC
Sorry, wrong link for the image: http://img226.imagevenue.com/img.php?image=66947_86552_122_6lo.jpg

Comment 2 Travis Kepley 2010-03-02 19:47:12 UTC
I am having similar issues.  Here is my chipset info:

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

This is on a Lenovo T500.

The image that I noticed it on:
http://michellasatik12.blog.com/files/2009/04/gibson-les-paul-studio-black.jpg

Chrome has no issue with this image, however Firefox immediately crashes X and takes me back to GDM.  Let me know if you need more info.

Comment 3 cbotelho 2010-03-02 20:04:42 UTC
Same issue here.

Lenovo T500 as well.

I've gotten mine to reproduce with these steps:

Go to http://url4.eu/1WiAc .  Click on "Arduino" on the left, click on "Arduino (Atmega328 - assembled)", click on "Read all about the Arduino project at the official website", click on "built by hand", and then click the "A4 Image for Toner Transfer (.png)" link and X crashes.  I'm using KDE 4.4.0-5

Linux bumblebee 2.6.31.12-174.2.22.fc12.x86_64 #1 SMP Fri Feb 19 18:55:03 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

filename:       /lib/modules/2.6.31.12-174.2.22.fc12.x86_64/kernel/drivers/gpu/drm/i915/i915.ko
license:        GPL and additional rights
description:    Intel Graphics
author:         Tungsten Graphics, Inc.
license:        GPL and additional rights
srcversion:     E609728AF30A87D9B02E53D

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

Name       : xorg-x11-drv-intel
Arch       : x86_64
Version    : 2.9.1
Release    : 1.fc12

Comment 5 Matěj Cepl 2010-06-30 22:36:37 UTC
*** Bug 557051 has been marked as a duplicate of this bug. ***

Comment 6 Johannes Goller 2010-07-01 01:22:56 UTC
(In reply to comment #5)
> *** Bug 557051 has been marked as a duplicate of this bug. ***    

How are these two bugs connected?

Comment 7 Matěj Cepl 2010-07-01 11:48:01 UTC
That both end with this error message?

> (II) intel(0): Allocate new frame buffer 2680x1050 stride 2688
>
> Fatal server error:
> Failed to submit batchbuffer: No space left on device

Comment 8 Bug Zapper 2010-11-03 23:55:50 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-12-03 23:49:22 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.